/* ==========================================
   フッター
========================================== */
.footer {
  background-color: #161614;
  color: var(--color-bg-white);
  padding: 40px var(--space-md) 10px;
  text-align: center;
}

.footer-nav {
  display: flex;
  flex-direction: column;
  margin-bottom: 60px;
  text-align: left;
}

.footer-nav a {
  display: flex;
  justify-content: space-between;
  align-items: center;
  font-size: var(--font-xs);
  line-height: 1.5;
  color: var(--color-bg-white);
  padding: var(--space-xs);
  transition: var(--transition);
  border-bottom: 1px solid #43433b;
}

.footer-nav a:hover {
  background-color: rgba(52, 50, 45, 0.25);
}

/* Arrow icon for internal links */
.footer-nav a.arrow::after {
  content: '';
  display: inline-block;
  width: 7px;
  height: 12px;
  background-image: url('data:image/svg+xml;utf8,<svg width="7" height="12" viewBox="0 0 7 12" fill="none" xmlns="http://www.w3.org/2000/svg"><path d="M0 0H0.937506L6.56254 6H5.62503L0 0Z" fill="white"/><path d="M0 12H0.937506L6.56254 6H5.62503L0 12Z" fill="white"/></svg>');
  background-size: contain;
  background-repeat: no-repeat;
  background-position: center;
  transition: var(--transition);
}

/* External link icon for external links */
.footer-nav a.external::after {
  content: '';
  display: inline-block;
  width: 12px;
  height: 12px;
  background-image: url('data:image/svg+xml;utf8,<svg width="12" height="12" viewBox="0 0 12 12" fill="none" xmlns="http://www.w3.org/2000/svg"><path d="M1.22108 12C0.879177 12 0.59019 11.882 0.354114 11.6459C0.118038 11.4098 0 11.1208 0 10.7789V1.22108C0 0.879177 0.118038 0.59019 0.354114 0.354114C0.59019 0.118038 0.879177 0 1.22108 0H5.70778V0.987342H1.22108C1.16259 0.987342 1.10905 1.01171 1.06044 1.06044C1.01171 1.10905 0.987342 1.16259 0.987342 1.22108V10.7789C0.987342 10.8374 1.01171 10.8909 1.06044 10.9396C1.10905 10.9883 1.16259 11.0127 1.22108 11.0127H10.7789C10.8374 11.0127 10.8909 10.9883 10.9396 10.9396C10.9883 10.8909 11.0127 10.8374 11.0127 10.7789V6.29222H12V10.7789C12 11.1208 11.882 11.4098 11.6459 11.6459C11.4098 11.882 11.1208 12 10.7789 12H1.22108ZM4.2488 8.45658L3.54342 7.7512L10.3073 0.987342H7.82278V0H12V4.17722H11.0127V1.69272L4.2488 8.45658Z" fill="white"/></svg>');
  background-size: contain;
  background-repeat: no-repeat;
  background-position: center;
  transition: var(--transition);
}

.footer-logo {
  margin: 60px 0 0;
}

.footer-copyright {
  font-size: var(--font-xs);
  text-align: left;
  margin-top: 11px;
  color: var(--color-bg-white);
}

/* ==========================================
   アプリフッター
========================================== */
.app-footer {
  background-color: var(--color-black);
  color: var(--color-bg-white);
  padding: var(--space-md) var(--space-md);
  text-align: center;
}

.app-footer .footer-logo {
  margin: 0px;
}
